Soft4Boost DVD Creator

S4B DVD Creator

Soft4Boost Help

S4B DVD Creator

www.sorentioapps.com

© Sorentio Systems, Ltd. All rights reserved


Contact Us

If you have any comments, suggestions or questions regarding S4B DVD Creator or if you have a new feature that you feel can be added to improve our product, please feel free to contact us.

When you register your product, you may be entitled to technical support.

General information: info@soft4boost.com

Technical support: support@soft4boost.com

Sales: sales@soft4boost.com

Technical Support

S4B DVD Creator do not require any professional knowledge. If you experience any problem or have a question, please refer to the S4B DVD Creator Help. If you cannot find the solution, please contact our support staff.

Note: only registered users receive technical support

S4B DVD Creator provides several forms of automated customer support

Soft4Boost Support System

You can use the Support Form on our site to ask your questions.

E-mail Support

You can also submit your technical questions and problems via e-mail to

support@soft4boost.com

Note: for more effective and quick resolving of the difficulties we will need the following information: Name and e-mail address used for registration, System parameters (CPU, hard drive space available, etc.), Operating System, Detailed step by step describing of your action


Resources

Documentation for S4B DVD Creator is available in a variety of formats:

In-product (.chm-file) and Online Help:

You will be able to use help file (.chm) through the Help menu of the installed S4B DVD Creator.

Online Help include all the content from the In-product help file and updates and links to additional instructional content available on the web. You can find the Support at our web-site - http://sorentioappsoost.com . Please note, that the most complete and up-to-date version of S4B DVD Creator help is always on the web.

PDF Documentation

The offline help is also available as a pdf-file that is optimized for printing. PDF help file is available for download at the program page at Soft4Boost web-site. To be able to read and print S4B DVD Creator PDF help file you will need to have a PDF reading program installed.

User Guides

You have access to a wide variety of resources that help you make S4B DVD Creator. The step- by-step user guides will be of help not only to the novice users but also to the users that face a certain task to be performed and look for a way to do it. Please, visit our Support section of Soft4Boost web-site at to read the detailed instructions for various software and tasks.

Technical Support

Visit the Support at our web-site http://sorentioapps.com to ask your questions concerning S4B DVD Creator installation, registration and use. Feel free to also use our e-mail address support@soft4boost.com

Downloads

Visit the Downloads section of our web-site to find free updates, tryouts, and other useful software. We constantly update the software, new versions of the most popular programs and new software are also frequently released.


Overview

Soft4Boost DVD Creator is a full-featured application for DVD creation and menu editing, that lets you create DVDs from various types of video files and add DVD menu to them. You will be able not only to create static DVD menus, but also add videos and music as background to your menu, edit the menu layout and more.

Let your fantasy work and create DVDs with menus that look absolutely professional using Soft4Boost DVD Creator.

To start DVD Creator go to Start menu and choose All Programs -> Soft4Boost -> DVD Creator –> DVD Creator.


Program Interface

The Main Window of the Soft4Boost DVD Creator program comprises the following components:

Main Menu - is used to get access to all the main functions and features of the program.

Top Toolbar - is used to get quick access to the basic features, such as working with projects, importing video and working with title sets.

Navigation Panel - is used to navigate through your created DVD menu.

Editing Area - is used to apply different tools and effects to your menu and preview the result.

Timeline - is used to add and manage your videos and create chapters.

Properties Area - is used to view and change the main properties of different elements.


Navigation Panel

The Navigation Panel shows structural view of all the elements from the Editing Area. For every Title Set a separate Navigation Panel is created and you can switch between them using the tabs above the Navigation Panel.

Depending on what DVD menu element you select it will change the view of the Editing Area. For instance, if you select the Title Set item of the Navigation Panel (Title Set 1 in the figure to the left) the whole current title set structure will be displayed.

When you select the Video Files item, all the videos imported to the current title set will be seen (in case you have imported some video files already, if not only the <Import Video> element will be displayed):

Each of the structural elements of the DVD Menu (Main Page, Chapters) consists of the following items: Background Music, Background, Layers and Buttons. You can edit them after you click the appropriate element from the list.

Note: the Layers element will show all the objects added to your DVD menu (text, images and simple graphics) with the help of the Page section of the Main Menu or Add Panel of the Editing Area. The same way the Buttons element will show all the buttons currently present on the page.

The Chapters tab will show the list of all chapters in your current title set without their allocation on the pages. If you click any of the chapters in this list you will quickly go to the page where this exact chapter is placed.


Properties Area

The Properties Area looks different for each selected element of the Navigation Panel and Editing Area as they all possess various properties. The main available properties for main menu elements include:

Actions - lets the user change the actions for the buttons of the menu when you press the buttons of the remote control of the DVD player (software or hardware) used to playback the created DVD. This option is available to be changed on the Button tab of the properties of different buttons - chapters, Prev, Main and Next buttons.

Advanced Text Settings - lets the user change the additional text settings, mainly the Shadow property. This option is available to be changed for the Text in the Layers and for the Design tab of the Prev, Main and Next buttons.

Background Style - lets the user change the style of the background used in Main Page or Chapters pages. You can select among Brush, Image and Video from File types of background.

Brush - lets the user change the Brush type used in filling the background of the page, text color of the buttons and the color of the simple graphics filling.

Button Style - lets the user change the style of the buttons used. This option is available for the Designer tab of the Buttons elements.

File - lets the user select a video or music file that will be used as a background for either the menu buttons or for the menu pages.

File Information - lets the user view the information for the video file loaded into Soft4Boost DVD Creator. This option is available for the Video Files element of the Navigation Panel.

Fragment - lets the user select a fragment of the video used as background to the page or a button.

Function - lets the user view the function assigned to the button. This option is available on the Button tab of a button properties.

Image - lets the user view and edit the properties of an image and select the file used as image for a button or page background or used as a graphics on a page.

Pen - lets the user select the properties of the outer line that forms text and simple graphics.

Position - lets the user view and control the position of most elements (buttons, text, image and simple graphics) on the page.

Text - lets the user change the properties of the text on the pages and buttons.


DVDCreator_en8-11

Getting Started

Even if you are an inexperienced user and never tried and created a menu for a DVD of yours, you can start working with Soft4Boost DVD Creator with no fear. Right after you launch Soft4Boost DVD Creator Authoring it will offer you a wizard work mode, that will guide you through all the steps of DVD menu creation.

Read ahead and follow the steps of the Soft4Boost DVD Creator Wizard to learn more about the settings and parameters it will offer to change

Step 1: Selecting Wizard Mode

The wizard will start with the following window:

If you are an expert in DVD authoring, you can Go directly to the Advanced mode selecting the appropriate option. After that click the Next >> button to proceed to Step 2 of the wizard. change.

Step 2: Importing Videos

Step 2 is used to load the videos into your project. These videos will be used to create your DVD. You will see the following window:

Use the buttons in the bottom part of the window to Add or Remove the videos to/from your future DVD, or to quickly Clear the whole list of the videos. When you finish creating video files list, click the Next >> button to go to Step 3 or the << Back button to return to the previous step.

Step 3: Specifying Menu Style and Setting Chapters

Step 3 will let you create chapters in your video and select a menu style:

You can choose one of the following options:

Don't create chapters - no chapters will be created at the moment, but you will be able to add them manually later when editing the menu.

Create a new chapter every ... minutes - use this option to create a new chapter at the selected time interval measured in minutes.

Spread out chapters evenly - use this option to specify the number of chapters you want to create. The loaded video will be divided into equal parts.

Create a new chapter for each video file - use this option to create a new chapter at the beginning of each new video file added to your DVD. In case only one file is loaded the only chapter will be created at its beginning.

Select a menu style from the list of the available presets. If you wish you can add some audio as a background to your menu page. Use the Browse button to choose the necessary audio file or you will be able to do it later when editing the menu.

When you set all the chapters and choose the menu style click the Next >> button to go to the final step or use the << Back button to return to Step 2.

Step 4: Setting DVD Video Parameters

Before you start editing your DVD menu you should set the DVD parameters so that the created disc could be played correctly. You can set the following parameters:

System - use this option to select a the TV system used in your country (PAL or NTSC). You should select a PAL (for Europe) or NTSC (for Japan and Americas). Please make sure that your DVD player and TV set support the selected DVD system.

Quality - use this option to select a correct preset that will help you record a DVD with good quality, depending on the total length of all video files you would like to include into your DVD. Normally you should select a High Quality DVD if its total duration will be no more than 60 minutes for a single layer DVD (108 minutes for a double layer DVD). Selecting a Long Play DVD cannot be really recommended and should be used only in case you really need to use it as the quality of the output DVD will be not optimal.

Aspect - select it from the drop-down box depending on the display type (4:3 (LCD or CRT) or 16:9 LCD) and the video files type loaded into Soft4Boost DVD Creator.

Disc Type - the type of the disc (single or double layer) that will be used to record your created DVD.

Note: if you select a double layer DVD, make sure that your DVD drive supports writing onto such discs.

Click the Finish button to end the wizard and start the DVD menu editing, or use the << Back button to return to the previous steps and change some parameters. You can also use the Cancel button to discard all the changes and close the wizard.


Working with Soft4Boost DVD Creator

Working with Soft4Boost DVD Creator requires the following steps:

  1. Create and edit a project to be able to save the results of your work and use them in future.

  2. Add and manage the video on the Timeline so that the succession of the video files and chapters on your DVD was correct.

  3. Create and edit DVD menu pages so that the disc was attractive and easy to navigate.

  4. Build DVD and burn it onto a disc to be able to watch it using a hardware or software DVD player.


Working with Projects

Working with Soft4Boost DVD Creator is not too complicated but still requires some knowledge and the succession of your actions should be correct so that the utmost result could be achieved.

The work in Soft4Boost DVD Creator is built on the projects concept, so that you could easily save the results of your work and load them for editing any other time.

The project file represents a data file with a .dvdcrt extension which consists of the following items:

  1. First play video is a short video clip displaying logos or warnings played before reaching the Main Page of the DVD menu. You may use a video file of any supported format. To add the First play video switch to the Startup tab above the Navigation Panel. The project scheme will be displayed in the Editing Area. Click the First play video icon or select the First Play Video item of the Navigation Panel, then click the Import Video icon of the Editing Area and find the necessary files in the opened window.

  2. The Main Page and the Chapters Pages form a Title Set which also includes the main video. If you want to record some movies onto your DVD you may create a new title set for each movie. Click here to learn more about how to do it. The Title page will have as many buttons as many titles you create. You can edit your Title page like any other menu page, adding music, video or an image as a background, drawing your own pictures and changing the button actions.

    To create the project we recommend you to follow the below rules:

    • Start a new project to load your videos into the program and manage their order, or open a previously saved project for editing.

    • Change your project properties and settings.

    • Create a new title set or new title sets for your DVD menu. Each title set will let you import new video files independently, so you could have, for instance, two or more movies on the same disc each having its own chapters and chapters menu.

    • Create chapters for your title set. The chapters are used so that the navigation through your DVD disc could be easy and understandable and you could find the necessary episode without any difficulties.

    • Save your created project so that nothing were lost and you could either use your created project later to create a different menu or load it once again to record another DVD disc with a menu.

When your DVD menu and disc structure is created you can edit the menu style and layout.


Starting a New Project

The work in Soft4Boost DVD Creator is done using the projects so that the user could save the results of the work to return to them later or to use the same projects for several DVDs with menus. Before you can edit your DVD menu, you should start a new project. Normally when you launch the Soft4Boost DVD Creator program a new project starts automatically. But still you can create a new project in three different ways:

  1. Select the Project Wizard option of the Main Menu. The Soft4Boost DVD Creator Wizard will guide you and help you load video file, select a menu style and change the project parameters. Choose this mode if you are an inexperienced user.

  2. Select the New Project button from the Top Toolbar. The program will create a new project with some of the pages already created and their parameters predefined for you. After that you will be able to change the project parameters, load video files and edit the menu. You can also create the New Project selecting an appropriate option from the Main Menu.

  3. Select the New Custom Project option of the Main Menu. You will be presented with an empty project that you will be able to customize to your taste and wishes. It is recommended if you are an expert in DVD authoring.

After either of the first two options is selected, you will be offered to select a preset for your future DVD menu. Please choose one of the existing presets or create a default menu selecting the Use Default option.

You will also need to change the main project properties so that it could better depict your concept and fit your display or TV set. The succession of actions might differ, but we suggest that you follow the simple steps:

  1. Load the videos that you want to use as your future DVD with a menu. To do that click the Import Video buttons of the Top Toolbar or Timeline Toolbar, or select the Import Video item of the Project section of the Main Menu. You can add more than one video, for that you should only select the necessary video files in the opened window or add them one after another. You can load video files of most main formats (moreover, the files loaded at the same time for one and the same DVD can be of different formats), they will be converted into the DVD MPEG-2 format once you select to save your DVD with the menu created onto a disc.

    If you need to remove some of the files from the future DVD, you can use the Remove Video button of the Timeline Toolbar. Simply select the necessary video file in the Navigation Panel or right at the Timeline and click the Remove Video button.

  2. Change the disc preset - it can be selected from the Timeline Bottom Bar drop-down box. Selecting a correct preset will help you record a DVD with good quality, depending on the total length of all video files you would like to include into your DVD and the TV system used in your country (PAL or NTSC). Normally you should select a PAL (for Europe) or NTSC (for Japan and Americas) High Quality DVD if its total duration will be no more than 60 minutes for a single layer DVD (108 minutes for a double layer DVD). Selecting a Long Play DVD (either PAL or NTSC) cannot be really recommended and should be used only in case you really need to use it as the quality of the output DVD will be not optimal.

    Note: if you select a double layer DVD, make sure that your DVD drive supports writing onto such discs.

  3. Set the video files order on the Timeline.


Starting a New Custom Project

Soft4Boost DVD Creator gives you the opportunity to customize your DVD menu changing its structure completely.

If you select the New Project option of the Main Menu the DVD menu will be created automatically and will have the traditional structure. You will need only to divide the imported video into chapters and then edit the menu page.

If you choose the New Custom Project option you will be presented with an empty menu page without the buttons and chapters you are accustomed to.

To start a new custom project, please go to the File section of the Main Menu and select the New Custom Project option. Import the necessary video files and manage them following the simple steps described here. Then using the buttons of the Additional Add Panel in the Editing Area you can start to create your DVD menu.


Creating and Editing Title Sets

When you select to create a new project, a new title set is created automatically for you. If you plan to record more than one movie onto your DVD, you will need to create a new title set for each movie (of course, if you plan to have separate title sets for every movie and own chapters for each one as well). For a new title set to be created simply click the Create Title Set button of the Top Toolbar or use the Create Title Set option of the Project section of the Main Menu.

Please enter a name for your title set and click the OK button. You will be presented with the

Select Preset window where you can choose from a number of existing DVD menu presets.

You can select one of the presets and click the OK button or choose the Use Default setting to let the program create the menu from the default preset.

The new title set will appear in the tabs list above the Navigation Panel. After that you can add new chapters and edit the menu.

To rename an already existing title set, please click it in the Navigation Panel with the right mouse button and select the Rename Title Set option from the right-click menu.

To remove an existing title set select it in the Navigation Panel and click the Remove Title Set button of the Top Toolbar or using the Remove Title Set item of the Project section of the Main Menu.

Note: deleting a title set is a reversible operation. You can undo it in case you need that using the Undo button of the Top Toolbar.

The Play button has the function of playback of the whole DVD from the beginning to the end, the Chapters button will take you to the Chapters Menu and the Title Page is used to go to the root page where you can select the necessary title set from the available ones. In case you chose to create a New Custom Project in the File section of the Main Menu the title set page will be absolutely empty letting you create anything out of it.

In any case, you can edit your title set page adding new buttons or removing the unnecessary old ones, adding music, video or an image as a background to your page and your buttons and drawing your own pictures on the page.


Adding Video Using Timeline

You can add some video files to your DVD using the Timeline. To do that click the Import Video button on the Timeline Toolbar. The video will be added right after the previously imported video or to the beginning of the DVD if no other video has been imported.

Note: if you import a video file after some video has been loaded into Soft4Boost DVD Creator, a new chapter will be automatically created and added to the beginning of the newly imported video.

To delete the imported video from your DVD structure, select it on the Timeline and click either the Remove Video button on the Timeline Toolbar or the Delete button on your computer keyboard.

To make sure that the loaded video is the one you need, you can playback it right in Soft4Boost DVD Creator. To do that select the necessary video in the Video Files section of the Navigation Panel and click its Play icon in the Editing Area. You can also select the video on the Timeline, click it with the right mouse button and select the Play File option from the right-click menu.

After you add all necessary video files to your DVD, you can manage them - change their sequence in the DVD structure, and add and remove chapters.


Editing DVD Menu

Your DVD video disc will look professionally created and individual at the same time if you add a menu to it. Using Soft4Boost DVD Creator you can do that using the Editing Area where you can change the page to your liking, the Navigation Panel where all the elements of your menu are displayed, and the Properties Area where you can view and change the properties of all the elements of the page.

We suggest that you start editing your DVD menu pages with changing its background, after that you can add different text captions to it, simple graphics shapes, add and edit menu buttons and organize the layers so that your menu looked nice and complete.


Adding and Editing Text

You can easily add any text to your DVD menu pages. To do that you should use the Add Text button of the Editing Area or the Add Text option of the Page section of the Main Menu. After you use either option to add the text, the default 'Text' caption will be added to your created menu page. To change the text itself you will need to click it with the right mouse button and select the Edit Text option from the right-click menu or double-click it with the left mouse button.

You can also change the text properties using the text Properties Area. The following Text properties can be viewed or changed:

Position - use it to control the text position on the menu page. It will show the text position in relation to the menu page corners and the width and height of the text bounding rectangle. The position is changed when you change the text size or position or when you rotate the text.

Text - use it to select the text font, its size from the drop-down boxes, change text font style using the appropriate buttons (B for bold text, I for italicized text and U for underlined text). Here you can also change the text alignment within its bounding rectangle selecting one of the alignment types.

Pen - use it to select the outer line of the text (the inner space is filled with the Brush). You can choose the Pen Color, transparency using the Transparency slider and selecting between the values from 0 (fully transparent invisible pen color) to 255 (null transparency - fully visible pen color), and Pen Width using the slider.

Brush - use it to fill the inner space with the selected color or colors.

Advanced Text Settings - use it to create the text Shadow ticking the appropriate box, select the text shadow Color, Transparency using the slider and selecting between the values from 0 (fully transparent invisible shadow color) to 255 (null transparency - fully visible shadow color), Blur (0 being the Blur absence and 10 marking the maximum Blur value), and the shadow horizontal (Distance X) and vertical (Distance Y) positions in relation to the text itself.

To change the Text orientation, click the green circle (visible when the text is selected with the mouse) with the left mouse button, the mouse cursor will change into a round arrow - click the mouse button and, without releasing it, drag it to change the text orientation.


Adding and Editing Simple Graphics

You can easily add simple graphics to your DVD menu pages. To do that you should use the appropriate button of the Editing Area or the Add Simple Graphics option of the Page section of the Main Menu. After you use either option to add the simple graphics, you will need to select the type of shape to add - Line, Rectangle, Ellipse, Pie or Sector.

  • Select Line to draw simple lines of different colors on your DVD menu page.

  • Select Rectangle to draw simple rectangles and squares of different colors on your DVD menu page.

  • Select Ellipse to draw simple circles and ellipses of different colors on your DVD menu page.

  • Select Pie to draw simple pie shapes of different colors on your DVD menu page.

  • Select Sector to draw simple sector shapes of different colors on your DVD menu page.

After you add either of the simple graphics shapes you can view and change their properties and sizes:

Position - use it to control the graphics position on the menu page. It will show the graphics position in relation to the menu page corners and the width and height of the graphics bounding rectangle. The position is changed when you change the graphics position.

Pen - use it to select the outer line of the graphics (the inner space is filled with the Brush) or the color of the line. You can choose the Pen Color, transparency using the Transparency slider and selecting between the values from 0 (fully transparent invisible pen color) to 255 (null transparency - fully visible pen color), and Pen Width using the slider.

Brush - use it to fill the inner space with the selected color or colors (this property is not available for the Line).


Adding and Editing DVD Menu Buttons

You can add new menu buttons in New Custom Project creation mode only. Some modifications (size change, button actions editing) of the existing buttons are available in the New Project creation mode as well, but mainly they will remain predefined in this case.

To create a button click the Add Menu Button of the Additional Add Panel in the Editing Area. A new button will be created on the page and you will be able to edit it. In the Properties Area the following Button Styles can be selected:

Text - use this option to create a button that will contain text only, without any images and videos.

Image - use this option to create a button that will contain image in it.

Video - use this option to create a button that will contain video in it.

After you select the Button Style and set its properties, you can change the button Actions - the actions performed when you click the button with the mouse or select with the remote control of a hardware/software DVD player. The same actions will be shown with the help of multi-colored arrows in the Editing Area.

The arrow buttons show the remote control buttons used to navigate your DVD menu. You can select an action from the drop-down lists so that when you press the appropriate remote control buttons you will go to the necessary menu button. Simply select the necessary button name from the drop-down list using the drop-down list open arrow and select the button name.

The number buttons are used to select the direct access number for the current button, i.e. the number button on the remote control used to quickly access the DVD menu button. For instance, instead of pressing the arrow button on your remote control to get to the DVD menu button and using the remote control OK after that, you can simply click the assigned number button and it will be as if you click the DVD menu button.

The function of the selected button can also be selected and altered using the button Function properties. You can select either to

  • use the button to go to some other menu page (thus Go to Page should be selected from the drop-down menu and the Target Page itself must be set in the lower drop-down box from the list of the available pages)

  • use the button to start video playback from a certain place (in this case the Main Page buttons will be used to start video playback from the beginning and the Chapters page buttons will be used to playback the created chapters from the chapter beginning).


Managing Layers

Whenever you add some shape or text or image to your menu page (not as a background but using the Add Panel of the Editing Area) each of them automatically forms a new layer. You can see the list of these layers in the Navigation Panel to the left of the Editing Area.

The concept of layers means that all the shapes and text and images overlay one another and you can change their order on the menu page in three dimensions - relative to each other in two flat dimensions on the menu page and relative to each other in the third dimension that determines their order one over another.

  1. The first layout type can be changed right within the Editing Area. You can move the shapes and text and images within the menu page and change their sizes using the black square on the shape or text or image boundaries or rotating the text using the green circle. You can also select several shapes (text, images, simple shapes) using the mouse button and the keyboard Shift button (press the Shift on your keyboard and, without releasing it, use the mouse cursor clicking the left mouse button on the necessary shape). After the necessary shapes are selected with the mouse, you can change their position altogether using the Edit section of the Main Menu or the Align Objects button of the Layout Panel of the Editing Area. To select all the shapes at once, use the Ctrl+A keyboard shortcut or the Select All Objects option of the Edit section of the Main Menu. The Align Left, Align Top, Align Right, Align Bottom, Align by Horizontal Center and Align by Vertical Center options are available for the layers layout.

    Note: you can also use the Navigation Panel to select the necessary layers. Use the keyboard Shift together with the left mouse button pressed simultaneously to select the necessary layers, and after that the Edit section of the Main Menu or the Align Objects button of the Layout Panel of the Editing Area can be used to change the layers layout.

  2. The second layout type determines the visibility of the layers relative to each other and is more easily changed using the Navigation Panel. You should select the necessary layer (simple shape, text or image) on the Navigation Panel and use the Order option of the Edit section of the Main Menu or the Layers Layout button of the Layout Panel of the Editing Area. The Bring to Foreground, Send Forward, Send Backward and Move to Background options are available for the layers order. Or you can simply select the necessary layer with the mouse button on the Navigation Panel and, without releasing the mouse button, drag it to the necessary position in the layers hierarchy and release the mouse button afterwards.


Creating and Burning a DVD

Your DVD video disc will look professionally created and individual at the same time if you add a menu to it. Using Soft4Boost DVD Creator you can do that using the Editing Area

When all work is done - project created, video added, menu pages created and edited, - you can save your project, build DVD and burn it onto a disc. To start the DVD building process use the Build DVD button of the Top Toolbar or of the Disc Usage Window or use the Build DVD option of the Project section of the Main Menu. You will see the following window:

Here you can view and change the project parameters: system, audio/video settings and control the space occupied by the video on the selected disc type.

After you have set up all the parameters click the Build DVD button. After you select the folder and click the OK button the disc creation process will be started. You can interrupt the process clicking the Cancel button although in this case the disc and its menu will not be created.